package kr.co.vividnext.sodalive.explorer.profile.creator_community

import io.reactivex.rxjava3.core.Single
import kr.co.vividnext.sodalive.common.ApiResponse
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.Query

interface CreatorCommunityApi {
    @GET("/creator-community")
    fun getCommunityPostList(
        @Query("creatorId") creatorId: Long,
        @Query("page") page: Int,
        @Query("size") size: Int,
        @Query("timezone") timezone: String,
        @Header("Authorization") authHeader: String
    ): Single<ApiResponse<List<GetCommunityPostListResponse>>>

    @GET("/creator-community/latest")
    fun getLatestPostListFromCreatorsYouFollow(
        @Query("timezone") timezone: String,
        @Header("Authorization") authHeader: String
    ): Single<ApiResponse<List<GetCommunityPostListResponse>>>
}
